using SQLite;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UnitTestProject1.Model
{

    [Table("book")]
    public class Book
    {
        [Key]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 书名
        /// </summary>
        [PropertyIndex(1)]
        public string BookName { get; set; }

        /// <summary>
        /// 页数
        /// </summary>
        [PropertyIndex(2)]
        public int PageCount { get; set; }

        /// <summary>
        /// 印刷日期
        /// </summary>
        [PropertyIndex(3)]
        public DateTime PrintTime { get; set; }
    }
    public class Book2
    {
        [Key]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 书名
        /// </summary>
        [PropertyIndex(1)]
        public string BookName { get; set; }

        /// <summary>
        /// 页数
        /// </summary>
        [PropertyIndex(2)]
        public long PageCount { get; set; }

        /// <summary>
        /// 印刷日期
        /// </summary>
        public DateTime PrintTime { get; set; }
    }

    [Table("user")]
    public class User
    {
        [Key]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [PropertyIndex(1)]
        public string Name { get; set; }

        /// <summary>
        /// 拥有的书的ID
        /// </summary>
        [PropertyIndex(2)]
        public string BookIDs { get; set; }
    }
}
